Bug 478570 - Review Request: oflb-riordonfancy-fonts - A stylized font
Review Request: oflb-riordonfancy-fonts - A stylized font
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ignacio Vazquez-Abrams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-01 00:29 EST by Ignacio Vazquez-Abrams
Modified: 2010-02-22 13:03 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-02-22 13:03:29 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
nicolas.mailhot: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Ignacio Vazquez-Abrams 2009-01-01 00:29:08 EST
Spec URL: http://ivazquez.fedorapeople.org/packages/RiordonFancy-fonts/RiordonFancy-fonts.spec
SRPM URL: http://ivazquez.fedorapeople.org/packages/RiordonFancy-fonts/RiordonFancy-fonts-3-1.src.rpm
Description: RiordonFancy is a highly-stylized font designed by ten-year-old Riordon Thurman. It includes all ASCII glyphs, most Latin-1 glyphs, a number of Latin Extended glyphs, and the interrobang (‽).
Comment 1 Nicolas Mailhot 2009-01-04 05:29:37 EST
Thank you for packaging a new font.

Initial remarks:
— you should convert to the new Fedora packaging templates. That will make Behdad happy and simplify your spec file quite a bit
http://fedoraproject.org/wiki/Simple_fonts_spec_template (plain text version in fontpackages-devel)

— please use lowercase package name to keep consistency with other font packages such as dejavu-fonts

— You have more complete fontconfig templates that just need filing in fontpackages-devel (please send them upstream for inclusion in the font archive when you're happy with them)

— please ask upstream to add a detached txt license file, a readme and a fontlog. The OFL is quite specific about stuff like reserved font names, that require documentation in the license text and fontlog

— this font is available in the Open Font Library. Please ask upstream what the canonical home should be. If it is the Open Font Library, add the oflb- prefix to the fontname

— please add a page to the wiki that describes this font and will be referenced in the F11 release notes, using this template:
http://fedoraproject.org/wiki/Font_description_template
(see also http://fedoraproject.org/wiki/Font_package_lifecycle )

⇒ NEEDINFO while this is being taken care of
Comment 3 Nicolas Mailhot 2009-03-22 07:32:46 EDT
Nice and clean package, I don't see enough of them. Thank you for packaging a new font in Fedora!

⚸⚸⚸ APPROVED ⚸⚸⚸

You can now continue from
http://fedoraproject.org/wiki/Font_package_lifecycle#3.a

(Please take the time to replace your defines with globals someday btw)
Comment 4 Ignacio Vazquez-Abrams 2009-03-24 01:17:44 EDT
New Package CVS Request
=======================
Package Name: oflb-riordonfancy-fonts
Short Description: A stylized font
Owners: ivazquez
Branches: F-9 F-10
Comment 5 Kevin Fenzi 2009-03-24 13:20:21 EDT
cvs done.
Comment 6 Nicolas Mailhot 2010-02-22 13:03:29 EST
Please do not forget to close review bug when the package has been built fedora-side

Note You need to log in before you can comment on or make changes to this bug.